#include "../include/aprecv-general.h"

int print_ggp_packet (unsigned char *packet, int opt_size) {
  static struct ggp_pkt_header *ggp_header;
  
  ggp_header = (struct ggp_pkt_header *)(packet+data_link_size+opt_size);
  
  apsr_output("- GGP Header -\n  Gateway type: %u",(int) ggp_header->gtype);
  if(verbose) {
	  switch(ggp_header->gtype) {
		  case APSR_GGP_GTYPE_REPLY:
		    apsr_output(" (Echo reply)");
		    break;
		  case APSR_GGP_GTYPE_ACK:
		    apsr_output(" (Acknowledgement)");
		    break;
		  case APSR_GGP_GTYPE_REQUEST:
		    apsr_output(" (Echo request)");
		    break;
		  case APSR_GGP_GTYPE_INT_STA:
		    apsr_output(" (Network Interface status)");
		    break;
		  case APSR_GGP_GTYPE_NEG_ACK:
		    apsr_output(" (Negative Acknowledgement)");
		    break;
		  case APSR_GGP_GTYPE_ROUT_UPD:
		    apsr_output(" (Routing update)");
		    break;
		  default:
		    apsr_output(" (unknown)");
		    break;
	  }
  }
		
  apsr_output("\n  Unused: %u", (int) ggp_header->unused);
  apsr_output("\n  Sequence number: %u\n", apsr_ntohs(ggp_header->seq_num));  
	
  if(statistic)
	stats.c.ggp++;
  
  return(RET_SUCCESS);
}
