#include "../include/aprecv-general.h"

int print_gre_packet (struct aprecv_frame_header *header, unsigned char *packet, int opt_size) {
  static struct gre_pkt_header *gre_header;
  static unsigned short flags, protocol;
/*  static unsigned char *gre_buf; */

  gre_header 	= (struct gre_pkt_header *)(packet+data_link_size+opt_size);
  flags 	= apsr_ntohs(gre_header->flags);
  protocol 	= apsr_ntohs(gre_header->protocol);
/*  gre_buf   	= (packet+data_link_size+opt_size+sizeof(gre_header)); */

  if((flags & APSR_GRE_FLAGS_VERSION) == 0) {
	  apsr_output("- GREv0 Header -\n  Version: %d\n", 
			  flags & APSR_GRE_FLAGS_VERSION);
	  apsr_output("  Checksum present: %d, Routing present: %d, Key present: %d\n",
		  flags & APSR_GRE_FLAGS_CHECKSUM,
		  flags & APSR_GRE_FLAGS_ROUTING,
		  flags & APSR_GRE_FLAGS_KEY);
	  apsr_output("  Sequence present: %d, Strict source route: %d, Recursion control: %d\n",
		  flags & APSR_GRE_FLAGS_SEQUENCE,
		  flags & APSR_GRE_FLAGS_STRICTSOURCE,
		  flags & APSR_GRE_FLAGS_RECURSE);
	  apsr_output("  Protocol: 0x%04x", protocol);
          if(verbose) 
		  print_ethernet_proto(protocol);
          apsr_output("\n");

/*
 *	 - TODO -
 * 	  if(flags & APSR_GRE_FLAGS_CHECKSUM) 
 *		  apsr_output("  Checksum: 0x%.04x",
 *				  2, gre_buf);
 *
 */
		  
	  
	  if(statistic)
		  stats.c.grev0++;		  	  
  }
  else if((flags & APSR_GRE_FLAGS_VERSION) == 1) {
	  apsr_output("- GREv1 Header -\n  Version: %d\n",
			  flags & APSR_GRE_FLAGS_VERSION);
	  apsr_output("  Checksum present: %d, Routing present: %d, Key present: %d\n",
			  flags & APSR_GRE_FLAGS_CHECKSUM,
			  flags & APSR_GRE_FLAGS_ROUTING,
			  flags & APSR_GRE_FLAGS_KEY);
          apsr_output("  Sequence present: %d, Strict source route: %d, Recursion control: %d\n",
			  flags & APSR_GRE_FLAGS_SEQUENCE,
			  flags & APSR_GRE_FLAGS_STRICTSOURCE,
			  flags & APSR_GRE_FLAGS_RECURSE);
	  apsr_output("  Acknowledgement present: %d\n",
			  flags & APSR_GRE_FLAGS_ACK);
          apsr_output("  Protocol: 0x%04x", protocol);
	  if(verbose)
		  print_ethernet_proto(protocol);
	  apsr_output("\n");

	  if(statistic)
		  stats.c.grev1++;
  }	 
  else {
	apsr_output("- Not supported GRE(%d) version -\n",
			flags & APSR_GRE_FLAGS_VERSION);
	goto gre_end;
  }
	
  /* TODO +4 is really bad, only if no one of the prev. flags are set */
  switchto_ethernet_proto(header, packet, opt_size+4, protocol);
  
gre_end:
  
  return(RET_SUCCESS);
}
