#include "../include/aprecv-general.h"

int print_ipah_packet (struct aprecv_frame_header *header, unsigned char *packet, int opt_size) {
  static struct ipah_pkt_header *ipah_header;
  static unsigned char *auth_data;
  unsigned int i=0, x=0;
  unsigned short count=0;

  ipah_header = (struct ipah_pkt_header *)(packet+data_link_size+opt_size);
  
  apsr_output("- IP Authentication Header -\n  Next header: %d",(int) ipah_header->next_header);
  if(verbose) {
	  print_ipv4_proto(ipah_header->next_header);
  }
  
  apsr_output("\n  Length: %d",(int) ipah_header->length);
  if(verbose) 
	  apsr_output("\n  Security Parameter Index: 0x%08x\n", apsr_ntohl(ipah_header->spi));
  else
	  apsr_output(", SPI: 0x%08x\n", apsr_ntohl(ipah_header->spi));

  apsr_output("  Seq.: 0x%08x\n", apsr_ntohl(ipah_header->seq_num));

  apsr_output("  Authentication data:");
  if(ipah_header->length > 0) {
	  auth_data = (packet+data_link_size+opt_size+APSR_IPAH);
	  for(x = 0; x < ipah_header->length; x++) {
		  if((i++ % 12) == 0 || x == 0) {
			  count++;
                          apsr_output("\n  0x%04x:", count);
                  }
                  apsr_output(" %02x", auth_data[x]);
	  }
	  apsr_output("\n");
  }
  
  switchto_ipv4_proto(header, packet, opt_size+ipah_header->length+sizeof(ipah_header), ipah_header->next_header);
  
  if(statistic) 
          stats.c.ipah++;
  
  return(RET_SUCCESS);
}
