#include "../include/aprecv-general.h"

int print_ipcomp_packet (unsigned char *packet, int opt_size) {
  static struct ipcomp_pkt_header *ipcomp_header;
  unsigned short cpi;
  
  ipcomp_header = (struct ipcomp_pkt_header *)(packet+data_link_size+opt_size);
  cpi 		= apsr_ntohs(ipcomp_header->cpi);
  
  apsr_output("- IPComp(IP Payload Compression Protocol) Header -\n  Next header: %u",(unsigned short) ipcomp_header->next_header);
  if(verbose) 
	  print_ipv4_proto((unsigned short) ipcomp_header->next_header);
  
  apsr_output("\n  Flags: 0x%02x, CPI: 0x%04x",(int) ipcomp_header->flags, cpi);  
  if(verbose) {
	  switch(cpi) {
		  case APSR_CPI_OUI:
		    apsr_output(" (OUI)");
		    break;
		  case APSR_CPI_DEFLATE:
		    apsr_output(" (Deflate)");
		    break;
		  case APSR_CPI_LZS:
		    apsr_output(" (LZS)");
		    break;
		  default:
		    apsr_output(" (unknown)");
		    break;
	  }
  }

  apsr_output("\n");
  
/*  TODO: decompress/deflate function for packet buffer  */
/*  switchto_ipv4_proto(packet, opt_size+4, ipcomp_header->next_header); */

  if(statistic)
	stats.c.ipcomp++;
  
  return(RET_SUCCESS);
}
