#include "../include/aprecv-general.h"

int print_null_packet (struct aprecv_frame_header *header, unsigned char *packet, int opt_size) {
  static struct ipv4_pkt_header *ip_null_header;

  ip_null_header = (struct ipv4_pkt_header *)(packet+data_link_size);

  switch(APSR_IPV4_VERSION(ip_null_header)) {
	  case 4:
	    print_ipv4_packet(header, packet, 0);
	    break;
	  case 6:
	    print_ipv6_packet(header, packet, 0);
	    break;
	  case 7:
	    print_ipv7_packet(header, packet, 0);
	    break;
	  default:
	    apsr_output("Unknown IP version: %d.\n", APSR_IPV4_VERSION(ip_null_header));
            break;
  }

  return(RET_SUCCESS);
}
