#include "../include/apsrstack-general.h"

int parseoptions (int argc, char *argv[]) {
  struct gengetopt_args_info args_info;
  int opt_filter;
  
  if(cmd_parser (argc, argv, &args_info) != 0) {
    apsr_stream_output((FILE *) stderr, "Error: Unable to parse the command line!\n");
    exit(EXIT_FAILURE);
  }

  if(args_info.help_given) usage(argv[0], "");
  if(args_info.version_given) showversion();

  if(!args_info.device_given) 
	  usage(argv[0], "Need -d option!\n");
  
  if(args_info.device_given) {
    device=xmalloc(strlen(args_info.device_arg)+1);
    strncpy(device, args_info.device_arg, strlen(args_info.device_arg));
  }
  
  start_sniffing_apsr(1, 65535, 0);

  return(RET_SUCCESS);
}
