/* Ethernet address length */
#ifndef APSR_ETHER_ADDR_LEN
  #define APSR_ETHER_ADDR_LEN	6
#endif


#ifndef ETH_P_ALL
  #define ETH_P_ALL 		0x0003
  #define APSR_ETH_P_ALL ETH_P_ALL
#else
  #define APSR_ETH_P_ALL ETH_P_ALL
#endif


/* Ethernet types. */
#define ETHERTYPE_PUP				0x0200  /* PUP protocol */
#define ETHERTYPE_IP				0x0800  /* IP protocol */
#define ETHERTYPE_IP6				0x86dd 	/* IPv6 protocol */
#define ETHERTYPE_ARP				0x0806  /* ARP */
#define ETHERTYPE_REVARP			0x8035  /* Reverse ARP */
#define ETHERTYPE_VLAN				0x8100  /* IEEE 802.1Q VLAN */
#define ETHERTYPE_PPP				0x880b	/* PPP */
#define ETHERTYPE_LOOPBACK			0x9000  /* Loopback */
#define ETHERTYPE_PPPOE_D			0x8863	/* PPPoE Discovery */
#define ETHERTYPE_PPPOE_S			0x8864	/* PPPoE Session */
#define ETHERTYPE_IPX				0x8137	/* IPX */
#define ETHERTYPE_PUB_TRANS1			0x0201	/* PUP Addr Trans */
#define ETHERTYPE_NIXDORF			0x0400	/* Nixdorf */
#define	ETHERTYPE_NSIDP				0x0600	/* NS IDP */
#define ETHERTYPE_DLOG1				0x0660	/* DLOG */
#define ETHERTYPE_DLOG2				0x0661	/* DLOG */
#define ETHERTYPE_X75				0x0801	/* x.75 Internet */
#define ETHERTYPE_NBS				0x0802	/* NBS */
#define ETHERTYPE_ECMA				0x0803	/* ECMA */
#define ETHERTYPE_CHAOSNET			0x0804	/* Chaosnet */
#define	ETHERTYPE_X25_LEVEL3			0x0805	/* X.25 Level 3 */
#define ETHERTYPE_XNS1				0x0807	/* XNS */
#define ETHERTYPE_FRAME_RELAY_ARP		0x0808	/* Frame Relay ARP */
#define ETHERTYPE_SYMBOLICS_PRIVATE		0x081C	/* Symbolics Private */
#define ETHERTYPE_XYPLEX1			0x0888	/* Xyplex */
#define ETHERTYPE_XYPLEX2			0x0889	/* Xyplex */
#define ETHERTYPE_XYPLEX3			0x088A	/* Xyplex */
#define ETHERTYPE_UNGERMANN_BASS		0x0900	/* Ungermann-Bass net debugr */
#define ETHERTYPE_IEEE802_3_PUP			0x0A00	/* Xerox IEEE 802.3 PUP */
#define	ETHERTYPE_PUP_TRANS2			0x0A01	/* PUP Addr Trans */
#define ETHERTYPE_VINES				0x0BAD	/* Banyan VINES */
#define ETHERTYPE_VINES_LO			0x0BAE	/* VINES Loopback */
#define ETHERTYPE_VINES_ECHO			0x0BAF	/* VINES Echo */
#define ETHERTYPE_BERKLEY_TRAILER1		0x1000	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER2		0x1001	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER3		0x1002	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER4		0x1003	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER5		0x1004	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER6		0x1005	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER7		0x1006	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER8		0x1007	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER9		0x1008	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER10		0x1009	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER11		0x100A	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER12		0x100B	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER13		0x100C	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER14		0x100D	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER15		0x100E	/* Berkeley Trailer nego */
#define ETHERTYPE_BERKLEY_TRAILER_IP		0x100F	/* Berkeley Trailer encap/IP */
#define ETHERTYPE_VALID_SYSTEMS			0x1600	/* Valid Systems */
#define ETHERTYPE_BASIC_BLOCK_PROTO		0x4242	/* PCS Basic Block Protocol */
#define ETHERTYPE_BBN_SIMNET			0x5208	/* BBN Simnet */
#define ETHERTYPE_DEC_UNASSIGNED		0x6000	/* DEC Unassigned (Exp.) */
#define ETHERTYPE_DEC_MOP_DUMP			0x6001	/* DEC MOP Dump/Load */
#define ETHERTYPE_DEC_MOP_REMOTE		0x6002	/* DEC MOP Remote Console */
#define ETHERTYPE_DECNET_IV_ROUTE		0x6003	/* DEC DECNET Phase IV Route */
#define ETHERTYPE_DEC_LAT			0x6004	/* DEC LAT */
#define ETHERTYPE_DEC_CUSTOMER_PROTO		0x6006	/* DEC Customer Protocol */
#define ETHERTYPE_DEC_LAVC_SCA			0x6007	/* DEC LAVC, SCA */
#define ETHERTYPE_DEC_UNASSIGNED2		0x6008	/* DEC Unassigned */
#define ETHERTYPE_DEC_UNASSIGNED3		0x6009	/* DEC Unassigned */
#define ETHERTYPE_3COM1				0x6010	/* 3com Corporation */
#define ETHERTYPE_3COM2				0x6011	/* 3com Corporation */
#define ETHERTYPE_3COM3				0x6012	/* 3com Corporation */
#define ETHERTYPE_3COM4				0x6013	/* 3com Corporation */
#define ETHERTYPE_3COM5				0x6014	/* 3Com Corporation */
#define ETHERTYPE_TRANS_ETHER			0x6558	/* Trans Ether Bridging */
#define ETHERTYPE_RAW_FRAME_RELAY		0x6559	/* Raw Frame Relay */
#define ETHERTYPE_UNGERMANN_BASS2		0x7000	/* Ungermann-Bass download */
#define ETHERTYPE_UNGERMANN_BASS3		0x7002	/* Ungermann-Bass dia/loop */
#define ETHERTYPE_LRT1				0x7020	/* LRT */
#define ETHERTYPE_LRT2				0x7021	/* LRT */
#define ETHERTYPE_LRT3				0x7022	/* LRT */
#define ETHERTYPE_LRT4				0x7023	/* LRT */
#define ETHERTYPE_LRT5				0x7024	/* LRT */
#define ETHERTYPE_LRT6				0x7025	/* LRT */
#define ETHERTYPE_LRT7				0x7026	/* LRT */
#define ETHERTYPE_LRT8				0x7027	/* LRT */
#define ETHERTYPE_LRT9				0x7028	/* LRT */
#define ETHERTYPE_LRT10				0x7029	/* LRT */
#define ETHERTYPE_PROTEON			0x7030	/* Proteon */
#define ETHERTYPE_CABLETRON			0x7034	/* Cabletron */
#define ETHERTYPE_CRONUS_VLN			0x8003	/* Cronus VLN */
#define ETHERTYPE_CRONUS_DIRECT			0x8004	/* Cronus Direct */
#define ETHERTYPE_HP_PROBE			0x8005	/* HP Probe */
#define ETHERTYPE_NESTAR			0x8006	/* Nestar */
#define ETHERTYPE_ATT1				0x8008	/* AT&T */
#define ETHERTYPE_EXCELAN			0x8010	/* Excelan */
#define ETHERTYPE_SGI_DIGANOSTICS		0x8013	/* SGI diagnostics */
#define ETHERTYPE_SGI_NETWORK_GAMES		0x8014	/* SGI network games */
#define ETHERTYPE_SGI_RESERVED			0x8015	/* SGI reserved */
#define ETHERTYPE_SGI_BOUNCE_SERVER		0x8016	/* SGI bounce server */
#define	ETHERTYPE_APOLLO_DOMAIN			0x8019	/* Apollo Domain */
#define ETHERTYPE_TYMSHARE			0x802E	/* Tymshare */
#define ETHERTYPE_TIGAN				0x802F	/* Tigan, Inc. */
#define ETHERTYPE_AEONIC_SYSTEMS		0x8036	/* Aeonic Systems */
#define ETHERTYPE_DEC_LANBRIDGE			0x8038	/* DEC LANBridge */
#define ETHERTYPE_DEC_UNASSIGNED4		0x8039	/* DEC Unassigned */
#define ETHERTYPE_DEC_UNASSIGNED5		0x803A	/* DEC Unassigned */
#define ETHERTYPE_DEC_UNASSIGNED6		0x083B	/* DEC Unassigned */
#define ETHERTYPE_DEC_UNASSIGNED7		0x803C	/* DEC Unassigned */
#define ETHERTYPE_DEC_ETHERNET_ENC		0x803D	/* DEC Ethernet Encryption */
#define ETHERTYPE_DEC_UNASSIGNED8		0x803E	/* DEC Unassigned */
#define ETHERTYPE_DC_LAN_TRAFFIC		0x803F	/* DC LAN Traffic Monitor */
#define ETHERTYPE_DEC_UNASSIGNED9		0x8040	/* DEC Unassigned */
#define ETHERTYPE_DEC_UNASSIGNED10		0x8041	/* DEC Unassigned */
#define ETHERTYPE_DEC_UNASSIGNED11		0x8042	/* DEC Unassigned */
#define ETHERTYPE_PLANNING			0x8044	/* Planning Research Corp. */
#define ETHERTYPE_ATT2	 			0x8046	/* AT&T */
#define ETHERTYPE_ATT3	 			0x8047	/* AT&T */
#define ETHERTYPE_EXPERDATA			0x8049	/* ExperData */
#define ETHERTYPE_STANFORD1			0x805B	/* Stanford V Kernel exp. */
#define ETHERTYPE_STANFORD2			0x805C	/* Stanford V Kernel prod. */
#define ETHERTYPE_EVANS_SUTHERLAND		0x805D	/* Evans & Sutherland */
#define ETHERTYPE_LITTLE_MACHINES		0x8060	/* Little Machines */
#define ETHERTYPE_COUNTERPOINT			0x8062	/* Counterpoint Computers */
#define ETHERTYPE_UNI_MASS1			0x8065	/* Univ. of Mass. @ Amherst */
#define ETHERTYPE_UNI_MASS2			0x8066	/* Univ. of Mass. @ Amherst */
#define ETHERTYPE_VEECO				0x8067	/* Veeco Integrated Auto. */
#define ETHERTYPE_GENERAL_DYNAMICS		0x8068	/* General Dynamics */
#define ETHERTYPE_ATT4				0x8069	/* AT&T */
#define ETHERTYPE_AUTOPHON			0x806A	/* Autophon */
#define ETHERTYPE_COMDESIGN			0x806C	/* ComDesign */
#define ETHERTYPE_CMPUTGRAPHIC			0x806D	/* Computgraphic Corp. */
#define ETHERTYPE_LANDMARK_GRAPHICS1		0x806E	/* Landmark Graphics Corp. */
#define ETHERTYPE_LANDMARK_GRAPHICS2		0x806F	/* Landmark Graphics Corp. */
#define ETHERTYPE_LANDMARK_GRAPHICS3		0x8077	/* Landmark Graphics Corp. */
#define	ETHERTYPE_MATRA				0x807A	/* Matra */
#define ETHERTYPE_DANSK_DATA			0x807B	/* Dansk Data Elektronik */
#define ETHERTYPE_MERIT				0x807C	/* Merit Internodal */
#define ETHERTYPE_VITALINK1			0x807D	/* Vitalink Communications */
#define ETHERTYPE_VITALINK2			0x807F	/* Vitalink Communications */
#define ETHERTYPE_VITALINK3			0x8080	/* Vitalink TransLAN III */
#define ETHERTYPE_COUNTERPOINT2			0x8081	/* Counterpoints Computers */
#define ETHERTYPE_COUNTERPOINT3			0x8082	/* Counterpoints Computers */
#define ETHERTYPE_COUNTERPOINT4			0x8083	/* Counterpoint Computers */
#define ETHERTYPE_APPLETALK			0x809B	/* Appletalk */
#define ETHERTYPE_DATABILITY13			0x809C	/* Datability */
#define ETHERTYPE_DATABILITY14			0x809D	/* Datability */
#define ETHERTYPE_DATABILITY15			0x809E	/* Datability */
#define ETHERTYPE_SPIDER_SYSTEMS		0x809F	/* Spider Systems Ltd. */
#define ETHERTYPE_NIXDORF2			0x80A3	/* Nixdorf Computers */
#define ETHERTYPE_SIEMENS_GAMMASONICS1		0x80A4	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS2		0x80A5	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS3		0x80A6	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS4		0x80A7	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS5		0x80A8	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS6		0x80A9	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS7		0x80AA	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS8		0x80AB	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS9		0x80AC	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS10		0x80AD	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS11		0x80AE	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS12		0x80AF	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS13		0x80B0	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS14		0x80B1	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS15		0x80B2	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_SIEMENS_GAMMASONICS16		0x80B3 	/* Siemens Gammasonics Inc. */
#define ETHERTYPE_DCA_CLUSTER1			0x80C0	/* DCA Data Exchange Cluster */
#define ETHERTYPE_DCA_CLUSTER2			0x80C1	/* DCA Data Exchange Cluster */
#define ETHERTYPE_DCA_CLUSTER3			0x80C2	/* DCA Data Exchange Cluster */
#define ETHERTYPE_DCA_CLUSTER4			0x80C3	/* DCA Data Exchange Cluster */
#define ETHERTYPE_BANYAN_SYSTEMS1		0x80C4	/* Banyan Systems */
#define ETHERTYPE_BANYAN_SYSTEMS2		0x80C5	/* Banyan Systems */
#define ETHERTYPE_PACER_SOFTWARE		0x80C6	/* Pacer Software */
#define ETHERTYPE_APPLITEK			0x80C7	/* Applitek Corporation */
#define ETHERTYPE_INTERGRAPH1			0x80C8	/* Intergraph Corporation */
#define ETHERTYPE_INTERGRAPH2			0x80C9	/* Intergraph Corporation */
#define ETHERTYPE_INTERGRAPH3			0x80CA	/* Intergraph Corporation */
#define ETHERTYPE_INTERGRAPH4			0x80CB	/* Intergraph Corporation */
#define ETHERTYPE_INTERGRAPH5			0x80CC	/* Intergraph Corporation */
#define ETHERTYPE_HARRIS1			0x80CD	/* Harris Corporation */
#define ETHERTYPE_HARRIS2			0x80CE	/* Harris Corporation */
#define ETHERTYPE_TAYLOR_INSTRUMENT1		0x80CF	/* Taylor Instrument */
#define ETHERTYPE_TAYLOR_INSTRUMENT2		0x80D0	/* Taylor Instrument */
#define ETHERTYPE_TAYLOR_INSTRUMENT3		0x80D1	/* Taylor Instrument */
#define ETHERTYPE_TAYLOR_INSTRUMENT4		0x80D2	/* Taylor Instrument */
#define ETHERTYPE_ROSEMOUNT1			0x80D3	/* Rosemount Corporation */
#define ETHERTYPE_ROSEMOUNT2			0x80D4	/* Rosemount Corporation */
#define ETHERTYPE_IBM_SNA			0x80D5	/* IBM SNA Service on Ether */
#define ETHERTYPE_VARIAN_ASSOCIATES		0x80DD	/* Varian Associates */
#define ETHERTYPE_ALLEN_BRADLEY1		0x80E0	/* Allen Bradley */
#define ETHERTYPE_ALLEN_BRADLEY2		0x80E1	/* Allen Bradley */
#define ETHERTYPE_ALLEN_BRADLEY3		0x80E2	/* Allen Bradley */
#define ETHERTYPE_ALLEN_BRADLEY4		0x80E3	/* Allen-Bradley */
#define ETHERTYPE_ALLEN_BRADLEY5		0x80DE	/* Integrated Solutions TRFS */
#define ETHERTYPE_TRFS				0x80DF	/* Integrated Solutions TRFS */
#define ETHERTYPE_DATABILITY1			0x80E4	/* Datability */
#define ETHERTYPE_DATABILITY2			0x80E5	/* Datability */
#define ETHERTYPE_DATABILITY3			0x80E6	/* Datability */
#define ETHERTYPE_DATABILITY4			0x80E7	/* Datability */
#define ETHERTYPE_DATABILITY5			0x80E8	/* Datability */
#define ETHERTYPE_DATABILITY6			0x80E9	/* Datability */
#define ETHERTYPE_DATABILITY7			0x80EA	/* Datability */
#define ETHERTYPE_DATABILITY8			0x80EB	/* Datability */
#define ETHERTYPE_DATABILITY9			0x80EC	/* Datability */
#define ETHERTYPE_DATABILITY10			0x80ED	/* Datability */
#define ETHERTYPE_DATABILITY11			0x80EF	/* Datability */
#define ETHERTYPE_DATABILITY12			0x80F0	/* Datability */
#define ETHERTYPE_RETIX				0x80F2	/* Retix */
#define ETHERTYPE_AARP				0x80F3	/* AppleTalk AARP (Kinetics) */
#define ETHERTYPE_KINETICS1			0x80F4	/* Kinetics */
#define ETHERTYPE_KINETICS2     		0x80F5	/* Kinetics */
#define ETHERTYPE_APOLLO			0x80F7	/* Apollo Computer */
#define ETHERTYPE_WELLFLEET1			0x80FF	/* Wellfleet Communications */
#define ETHERTYPE_WELLFLEET3			0x8101	/* Wellfleet Communications */
#define ETHERTYPE_WELLFLEET_BOFL		0x8102	/* Wellfleet Communications BOFL */
#define ETHERTYPE_WELLFLEET5			0x8103	/* Wellfleet Communications */
#define ETHERTYPE_SYMBOLICS_PRIVATE2		0x8107	/* Symbolics Private */
#define ETHERTYPE_SYMBOLICS_PRIVATE3		0x8108	/* Symbolics Private */
#define ETHERTYPE_SYMBOLICS_PRIVATE4		0x8109	/* Symbolics Private */
#define	ETHERTYPE_HAYES				0x8130	/* Hayes Microcomputers */
#define ETHERTYPE_VG				0x8131	/* VG Laboratory Systems */
#define ETHERTYPE_BRIDGE1			0x8132	/* Bridge Communications */
#define ETHERTYPE_BRIDGE2			0x8134	/* Bridge Communications */
#define ETHERTYPE_BRIDGE3			0x8135	/* Bridge Communications */
#define ETHERTYPE_BRIDGE4			0x8136	/* Bridge Communications */
/* #define ETHERTYPE_UNDEFINED			0x8137	??? */
#define ETHERTYPE_NOVELL			0x8138	/* Novell, Inc. */
#define ETHERTYPE_KTI1				0x8139	/* KTI */
#define ETHERTYPE_KTI2				0x813A	/* KTI */
#define ETHERTYPE_KTI3				0x813B	/* KTI */
#define ETHERTYPE_KTI4				0x813C	/* KTI */
#define ETHERTYPE_KTI5				0x813D	/* KTI */
#define ETHERTYPE_LOGICRAFT			0x8148	/* Logicraft */
#define ETHERTYPE_NETWORK_COMPUTING		0x8149	/* Network Computing Devices */
#define ETHERTYPE_ALPHA_MICRO			0x814A	/* Alpha Micro */
#define ETHERTYPE_SNMP				0x814C	/* SNMP */
#define ETHERTYPE_BIIN1				0x814D	/* BIIN */
#define ETHERTYPE_BIIN2				0x814E	/* BIIN */
#define ETHERTYPE_ELITE_CONCEPT			0x814F	/* Technically Elite Concept */
#define ETHERTYPE_RATIONAL_CORP			0x8150	/* Rational Corp */
#define ETHERTYPE_QUALCOMM1			0x8151	/* Qualcomm */
#define ETHERTYPE_QUALCOMM2			0x8153	/* Qualcomm */
#define ETHERTYPE_COMPUTER_PROTOCOL1		0x815C	/* Computer Protocol Pty Ltd */
#define ETHERTYPE_COMPUTER_PROTOCOL2		0x815E	/* Computer Protocol Pty Ltd */
#define ETHERTYPE_CHARLES_RIVER1		0x8164	/* Charles River Data System */
#define ETHERTYPE_CHARLES_RIVER2		0x8166	/* Charles River Data System */
#define ETHERTYPE_XTP				0x817D	/* XTP */
#define ETHERTYPE_SGI_TIME_WARNER		0x817E	/* SGI/Time Warner prop. */
#define ETHERTYPE_HIPPI_FP			0x8180	/* HIPPI-FP encapsulation */
#define ETHERTYPE_HIPPI_STP			0x8181	/* STP, HIPPI-ST */
#define ETHERTYPE_HIPPI_64001			0x8182	/* Reserved for HIPPI-6400 */
#define ETHERTYPE_HIPPI_64002			0x8183	/* Reserved for HIPPI-6400 */
#define ETHERTYPE_SILLICON_GRAPHICS1		0x8184	/* Sillicon Graphics prop. */
#define ETHERTYPE_SILLICON_GRAPHICS2		0x818C	/* Silicon Graphics prop. */
#define ETHERTYPE_MOTOROLA3			0x818D	/* Motorola Computer */
#define ETHERTYPE_QUALCOMM3			0x819A	/* Qualcomm */
#define ETHERTYPE_QUALCOMM4			0x81A3	/* Qualcomm */
#define ETHERTYPE_ARAI				0x81A4	/* ARAI Bunkichi */
#define ETHERTYPE_RAD1				0x81A5	/* RAD Network Devices */
#define ETHERTYPE_RAD2				0x81AE	/* RAD Network Devices */
#define ETHERTYPE_XYPLEX4			0x81B7	/* Xyplex */
#define ETHERTYPE_XYPLEX5			0x81B9	/* Xyplex */
#define ETHERTYPE_APRICOT1			0x81CC	/* Apricot Computers */
#define ETHERTYPE_APRISOFT2			0x81D5	/* Apricot Computers */
#define ETHERTYPE_ARTISOFT3			0x81D6	/* Artisoft */
#define ETHERTYPE_ARTISOFT4			0x81DD	/* Artisoft */
#define ETHERTYPE_POLYGON1			0x81E6	/* Polygon */
#define ETHERTYPE_POLYGON2			0x81EF	/* Polygon */
#define ETHERTYPE_COMSAT1			0x81F0	/* Comsat Labs */
#define ETHERTYPE_COMSAT2			0x81F2	/* Comsat Labs */
#define ETHERTYPE_SAIC1				0x81F3	/* SAIC */
#define ETHERTYPE_SAIC2				0x81F5	/* SAIC */
#define ETHERTYPE_VG_ANALYTICAL1		0x81F6	/* VG Analytical */
#define ETHERTYPE_VG_ANALYTICAL2		0x81F8	/* VG Analytical */
#define ETHERTYPE_QUANTUM1			0x8203	/* Quantum Software */
#define ETHERTYPE_QUNATUM2			0x8205	/* Quantum Software */
#define ETHERTYPE_ASCOM1			0x8221	/* Ascom Banking Systems */
#define ETHERTYPE_ASCOM2			0x8222	/* Ascom Banking Systems */
#define ETHERTYPE_ENCRYPTION1			0x823E	/* Advanced Encryption System */
#define ETHERTYPE_ENCRYPTION2			0x8240	/* Advanced Encryption System */
#define ETHERTYPE_ATHENA1			0x827F	/* Athena Programming */
#define ETHERTYPE_ATHENA2			0x8282	/* Athena Programming */
#define ETHERTYPE_CHARLES_RIVER3		0x8263	/* Charles River Data System */
#define ETHERTYPE_CHARLES_RIVER4		0x826A	/* Charles River Data System */
#define ETHERTYPE_INST_IND1			0x829A	/* Inst Ind Info Tech */
#define ETHERTYPE_INST_IND2			0x829B	/* Inst Ind Info Tech */
#define ETHERTYPE_TAURUS1			0x829C	/* Taurus Controls */
#define ETHERTYPE_TAURUS2			0x82AB	/* Taurus Controls */
#define ETHERTYPE_WALKER1			0x82AC	/* Walker Richer & Quinn */
#define ETHERTYPE_WALKER2			0x8693	/* Walker Richer & Quinn */
#define ETHERTYPE_IDEA1				0x8694	/* Idea Courier */
#define ETHERTYPE_IDEA2				0x869D	/* Idea Courier */
#define ETHERTYPE_COMPUTER_NETWORK1		0x869E	/* Computer Network Tech */
#define ETHERTYPE_COMPUTER_NETWORK2		0x86A1	/* Computer Network Tech */
#define ETHERTYPE_GATEWAY1			0x86A3	/* Gateway Communications */
#define ETHERTYPE_GATEWAY2			0x86AC	/* Gateway Communications */
#define ETHERTYPE_SECTRA			0x86DB	/* SECTRA */
#define ETHERTYPE_DELTA				0x86DE	/* Delta Controls */
#define ETHERTYPE_ATOMIC			0x86DF	/* ATOMIC */
#define ETHERTYPE_LANDIS			0x86E0	/* Landis & Gyr Powers */
#define ETHERTYPE_LANDIS2			0x86EF	/* Landis & Gyr Powers */
#define ETHERTYPE_MOTOROLA1			0x8700	/* Motorola */
#define ETHERTYPE_MOTOROLA2			0x8710	/* Motorola */
#define ETHERTYPE_TCP_IP_COMPRESSION		0x876B	/* TCP/IP Compression */
#define ETHERTYPE_IP_AUTONOMOUS			0x876C	/* IP Autonomous Systems */
#define ETHERTYPE_SECURE			0x876D	/* Secure Data */
#define ETHERTYPE_MPLS_UNI			0x8847	/* MPLS Unicast */
#define ETHERTYPE_MPLS_MULTI			0x8848	/* MPLS Multicast */
#define ETHERTYPE_INVISIBLE1			0x8A96	/* Invisible Software */
#define ETHERTYPE_INVISIBLE2			0x8A97	/* Invisible Software */
#define ETHERTYPE_XNS2				0x9001	/* 3Com(Bridge) XNS Sys Mgmt */
#define ETHERTYPE_TCP_IP_SYS			0x9002	/* 3Com(Bridge) TCP-IP Sys */
#define ETHERTYPE_LOOP_DETECT			0x9003	/* 3Com(Bridge) loop detect */
#define ETHERTYPE_F000				0xFF00	/* FF00 BBN VITAL-LanBridge cache */
#define ETHERTYPE_FFFF				0xFFFF	/* FFFF Reserved */


/* APSR definitions */
#define APSR_ETHERTYPE_PUP			ETHERTYPE_PUP
#define APSR_ETHERTYPE_IP			ETHERTYPE_IP
#define APSR_ETHERTYPE_IP6			ETHERTYPE_IP6
#define APSR_ETHERTYPE_ARP			ETHERTYPE_ARP
#define APSR_ETHERTYPE_REVARP			ETHERTYPE_REVARP
#define APSR_ETHERTYPE_VLAN			ETHERTYPE_VLAN
#define APSR_ETHERTYPE_PPP			ETHERTYPE_PPP
#define APSR_ETHERTYPE_LOOPBACK			ETHERTYPE_LOOPBACK
#define APSR_ETHERTYPE_PPPOE_D			ETHERTYPE_PPPOE_D
#define APSR_ETHERTYPE_PPPOE_S			ETHERTYPE_PPPOE_S
#define APSR_ETHERTYPE_IPX			ETHERTYPE_IPX
#define APSR_ETHERTYPE_PUB_TRANS1		ETHERTYPE_PUB_TRANS1
#define APSR_ETHERTYPE_NIXDORF			ETHERTYPE_NIXDORF
#define APSR_ETHERTYPE_NSIDP			ETHERTYPE_NSIDP
#define APSR_ETHERTYPE_DLOG1			ETHERTYPE_DLOG1
#define APSR_ETHERTYPE_DLOG2			ETHERTYPE_DLOG2
#define APSR_ETHERTYPE_X75			ETHERTYPE_X75
#define APSR_ETHERTYPE_NBS			ETHERTYPE_NBS
#define APSR_ETHERTYPE_ECMA			ETHERTYPE_ECMA
#define APSR_ETHERTYPE_CHAOSNET			ETHERTYPE_CHAOSNET
#define APSR_ETHERTYPE_X25_LEVEL3		ETHERTYPE_X25_LEVEL3
#define APSR_ETHERTYPE_XNS1			ETHERTYPE_XNS1
#define APSR_ETHERTYPE_FRAME_RELAY_ARP		ETHERTYPE_FRAME_RELAY_ARP
#define APSR_ETHERTYPE_SYMBOLICS_PRIVATE	ETHERTYPE_SYMBOLICS_PRIVATE
#define APSR_ETHERTYPE_XYPLEX1			ETHERTYPE_XYPLEX1
#define APSR_ETHERTYPE_XYPLEX2			ETHERTYPE_XYPLEX2
#define APSR_ETHERTYPE_XYPLEX3			ETHERTYPE_XYPLEX3
#define APSR_ETHERTYPE_UNGERMANN_BASS		ETHERTYPE_UNGERMANN_BASS
#define APSR_ETHERTYPE_IEEE802_3_PUP		ETHERTYPE_IEEE802_3_PUP
#define APSR_ETHERTYPE_VINES			ETHERTYPE_VINES
#define APSR_ETHERTYPE_VINES_LO			ETHERTYPE_VINES_LO
#define APSR_ETHERTYPE_VINES_ECHO		ETHERTYPE_VINES_ECHO
#define APSR_ETHERTYPE_BERKLEY_TRAILER1		ETHERTYPE_BERKLEY_TRAILER1
#define APSR_ETHERTYPE_BERKLEY_TRAILER2		ETHERTYPE_BERKLEY_TRAILER2
#define APSR_ETHERTYPE_BERKLEY_TRAILER3		ETHERTYPE_BERKLEY_TRAILER3
#define APSR_ETHERTYPE_BERKLEY_TRAILER4		ETHERTYPE_BERKLEY_TRAILER4
#define APSR_ETHERTYPE_BERKLEY_TRAILER5		ETHERTYPE_BERKLEY_TRAILER5
#define APSR_ETHERTYPE_BERKLEY_TRAILER6		ETHERTYPE_BERKLEY_TRAILER6
#define APSR_ETHERTYPE_BERKLEY_TRAILER7		ETHERTYPE_BERKLEY_TRAILER7
#define APSR_ETHERTYPE_BERKLEY_TRAILER8		ETHERTYPE_BERKLEY_TRAILER8
#define APSR_ETHERTYPE_BERKLEY_TRAILER9		ETHERTYPE_BERKLEY_TRAILER9
#define APSR_ETHERTYPE_BERKLEY_TRAILER10	ETHERTYPE_BERKLEY_TRAILER10
#define APSR_ETHERTYPE_BERKLEY_TRAILER11	ETHERTYPE_BERKLEY_TRAILER11
#define APSR_ETHERTYPE_BERKLEY_TRAILER12	ETHERTYPE_BERKLEY_TRAILER12
#define APSR_ETHERTYPE_BERKLEY_TRAILER13	ETHERTYPE_BERKLEY_TRAILER13
#define APSR_ETHERTYPE_BERKLEY_TRAILER14	ETHERTYPE_BERKLEY_TRAILER14
#define APSR_ETHERTYPE_BERKLEY_TRAILER15	ETHERTYPE_BERKLEY_TRAILER15
#define APSR_ETHERTYPE_BERKLEY_TRAILER_IP	ETHERTYPE_BERKLEY_TRAILER_IP
#define APSR_ETHERTYPE_VALID_SYSTEMS		ETHERTYPE_VALID_SYSTEMS
#define APSR_ETHERTYPE_BASIC_BLOCK_PROTO	ETHERTYPE_BASIC_BLOCK_PROTO
#define APSR_ETHERTYPE_BBN_SIMNET		ETHERTYPE_BBN_SIMNET
#define APSR_ETHERTYPE_DEC_UNASSIGNED		ETHERTYPE_DEC_UNASSIGNED
#define APSR_ETHERTYPE_DEC_MOP_DUMP		ETHERTYPE_DEC_MOP_DUMP
#define APSR_ETHERTYPE_DEC_MOP_REMOTE		ETHERTYPE_DEC_MOP_REMOTE
#define APSR_ETHERTYPE_DECNET_IV_ROUTE		ETHERTYPE_DECNET_IV_ROUTE
#define APSR_ETHERTYPE_DEC_LAT			ETHERTYPE_DEC_LAT
#define APSR_ETHERTYPE_DEC_CUSTOMER_PROTO	ETHERTYPE_DEC_CUSTOMER_PROTO
#define APSR_ETHERTYPE_DEC_LAVC_SCA		ETHERTYPE_DEC_LAVC_SCA
#define APSR_ETHERTYPE_DEC_UNASSIGNED2		ETHERTYPE_DEC_UNASSIGNED2
#define APSR_ETHERTYPE_DEC_UNASSIGNED3		ETHERTYPE_DEC_UNASSIGNED3
#define APSR_ETHERTYPE_3COM1			ETHERTYPE_3COM1
#define APSR_ETHERTYPE_3COM2			ETHERTYPE_3COM2
#define APSR_ETHERTYPE_3COM3			ETHERTYPE_3COM3
#define APSR_ETHERTYPE_3COM4			ETHERTYPE_3COM4
#define APSR_ETHERTYPE_3COM5			ETHERTYPE_3COM5
#define APSR_ETHERTYPE_TRANS_ETHER		ETHERTYPE_TRANS_ETHER
#define APSR_ETHERTYPE_RAW_FRAME_RELAY		ETHERTYPE_RAW_FRAME_RELAY
#define APSR_ETHERTYPE_UNGERMANN_BASS2		ETHERTYPE_UNGERMANN_BASS2
#define APSR_ETHERTYPE_UNGERMANN_BASS3		ETHERTYPE_UNGERMANN_BASS3
#define APSR_ETHERTYPE_LRT1			ETHERTYPE_LRT1
#define APSR_ETHERTYPE_LRT2			ETHERTYPE_LRT2
#define APSR_ETHERTYPE_LRT3			ETHERTYPE_LRT3
#define APSR_ETHERTYPE_LRT4			ETHERTYPE_LRT4
#define APSR_ETHERTYPE_LRT5			ETHERTYPE_LRT5
#define APSR_ETHERTYPE_LRT6			ETHERTYPE_LRT6
#define APSR_ETHERTYPE_LRT7			ETHERTYPE_LRT7
#define APSR_ETHERTYPE_LRT8			ETHERTYPE_LRT8
#define APSR_ETHERTYPE_LRT9			ETHERTYPE_LRT9
#define APSR_ETHERTYPE_LRT10			ETHERTYPE_LRT10
#define APSR_ETHERTYPE_PROTEON			ETHERTYPE_PROTEON
#define APSR_ETHERTYPE_CABLETRON		ETHERTYPE_CABLETRON
#define APSR_ETHERTYPE_CRONUS_VLN		ETHERTYPE_CRONUS_VLN
#define APSR_ETHERTYPE_CRONUS_DIRECT		ETHERTYPE_CRONUS_DIRECT
#define APSR_ETHERTYPE_HP_PROBE			ETHERTYPE_HP_PROBE
#define APSR_ETHERTYPE_NESTAR			ETHERTYPE_NESTAR
#define APSR_ETHERTYPE_ATT1			ETHERTYPE_ATT1
#define APSR_ETHERTYPE_EXCELAN			ETHERTYPE_EXCELAN
#define APSR_ETHERTYPE_SGI_DIGANOSTICS		ETHERTYPE_SGI_DIGANOSTICS
#define APSR_ETHERTYPE_SGI_NETWORK_GAMES	ETHERTYPE_SGI_NETWORK_GAMES
#define APSR_ETHERTYPE_SGI_RESERVED		ETHERTYPE_SGI_RESERVED
#define APSR_ETHERTYPE_SGI_BOUNCE_SERVER	ETHERTYPE_SGI_BOUNCE_SERVER
#define APSR_ETHERTYPE_APOLLO_DOMAIN		ETHERTYPE_APOLLO_DOMAIN
#define APSR_ETHERTYPE_TYMSHARE			ETHERTYPE_TYMSHARE
#define APSR_ETHERTYPE_TIGAN			ETHERTYPE_TIGAN
#define APSR_ETHERTYPE_AEONIC_SYSTEMS		ETHERTYPE_AEONIC_SYSTEMS
#define APSR_ETHERTYPE_DEC_LANBRIDGE		ETHERTYPE_DEC_LANBRIDGE
#define APSR_ETHERTYPE_DEC_UNASSIGNED4		ETHERTYPE_DEC_UNASSIGNED4
#define APSR_ETHERTYPE_DEC_UNASSIGNED5		ETHERTYPE_DEC_UNASSIGNED5
#define APSR_ETHERTYPE_DEC_UNASSIGNED6		ETHERTYPE_DEC_UNASSIGNED6
#define APSR_ETHERTYPE_DEC_UNASSIGNED7		ETHERTYPE_DEC_UNASSIGNED7
#define APSR_ETHERTYPE_DEC_ETHERNET_ENC		ETHERTYPE_DEC_ETHERNET_ENC
#define APSR_ETHERTYPE_DEC_UNASSIGNED8		ETHERTYPE_DEC_UNASSIGNED8
#define APSR_ETHERTYPE_DC_LAN_TRAFFIC		ETHERTYPE_DC_LAN_TRAFFIC
#define APSR_ETHERTYPE_DEC_UNASSIGNED9		ETHERTYPE_DEC_UNASSIGNED9
#define APSR_ETHERTYPE_DEC_UNASSIGNED10		ETHERTYPE_DEC_UNASSIGNED10
#define APSR_ETHERTYPE_DEC_UNASSIGNED11		ETHERTYPE_DEC_UNASSIGNED11
#define APSR_ETHERTYPE_PLANNING			ETHERTYPE_PLANNING
#define APSR_ETHERTYPE_ATT2			ETHERTYPE_ATT2
#define APSR_ETHERTYPE_ATT3			ETHERTYPE_ATT3
#define APSR_ETHERTYPE_EXPERDATA		ETHERTYPE_EXPERDATA
#define APSR_ETHERTYPE_STANFORD1		ETHERTYPE_STANFORD1
#define APSR_ETHERTYPE_STANFORD2		ETHERTYPE_STANFORD2
#define APSR_ETHERTYPE_EVANS_SUTHERLAND		ETHERTYPE_EVANS_SUTHERLAND
#define APSR_ETHERTYPE_LITTLE_MACHINES		ETHERTYPE_LITTLE_MACHINES
#define APSR_ETHERTYPE_COUNTERPOINT		ETHERTYPE_COUNTERPOINT
#define APSR_ETHERTYPE_UNI_MASS1		ETHERTYPE_UNI_MASS1
#define APSR_ETHERTYPE_UNI_MASS2		ETHERTYPE_UNI_MASS2
#define APSR_ETHERTYPE_VEECO			ETHERTYPE_VEECO
#define APSR_ETHERTYPE_GENERAL_DYNAMICS		ETHERTYPE_GENERAL_DYNAMICS
#define APSR_ETHERTYPE_ATT4			ETHERTYPE_ATT4
#define APSR_ETHERTYPE_AUTOPHON			ETHERTYPE_AUTOPHON
#define APSR_ETHERTYPE_COMDESIGN		ETHERTYPE_COMDESIGN
#define APSR_ETHERTYPE_CMPUTGRAPHIC		ETHERTYPE_CMPUTGRAPHIC
#define APSR_ETHERTYPE_LANDMARK_GRAPHICS1	ETHERTYPE_LANDMARK_GRAPHICS1
#define APSR_ETHERTYPE_LANDMARK_GRAPHICS2	ETHERTYPE_LANDMARK_GRAPHICS2
#define APSR_ETHERTYPE_LANDMARK_GRAPHICS3	ETHERTYPE_LANDMARK_GRAPHICS3
#define APSR_ETHERTYPE_MATRA			ETHERTYPE_MATRA
#define APSR_ETHERTYPE_DANSK_DATA		ETHERTYPE_DANSK_DATA
#define APSR_ETHERTYPE_MERIT			ETHERTYPE_MERIT
#define APSR_ETHERTYPE_VITALINK1		ETHERTYPE_VITALINK1
#define APSR_ETHERTYPE_VITALINK2		ETHERTYPE_VITALINK2
#define APSR_ETHERTYPE_VITALINK3		ETHERTYPE_VITALINK3
#define APSR_ETHERTYPE_COUNTERPOINT2		ETHERTYPE_COUNTERPOINT2
#define APSR_ETHERTYPE_COUNTERPOINT3		ETHERTYPE_COUNTERPOINT3
#define APSR_ETHERTYPE_COUNTERPOINT4		ETHERTYPE_COUNTERPOINT4
#define APSR_ETHERTYPE_APPLETALK		ETHERTYPE_APPLETALK
#define APSR_ETHERTYPE_DATABILITY13		ETHERTYPE_DATABILITY13
#define APSR_ETHERTYPE_DATABILITY14		ETHERTYPE_DATABILITY14
#define APSR_ETHERTYPE_DATABILITY15		ETHERTYPE_DATABILITY15
#define APSR_ETHERTYPE_SPIDER_SYSTEMS		ETHERTYPE_SPIDER_SYSTEMS
#define APSR_ETHERTYPE_NIXDORF2			ETHERTYPE_NIXDORF2
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS1	ETHERTYPE_SIEMENS_GAMMASONICS1
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS2	ETHERTYPE_SIEMENS_GAMMASONICS2
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS3	ETHERTYPE_SIEMENS_GAMMASONICS3
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS4	ETHERTYPE_SIEMENS_GAMMASONICS4
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS5	ETHERTYPE_SIEMENS_GAMMASONICS5
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS6	ETHERTYPE_SIEMENS_GAMMASONICS6
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS7	ETHERTYPE_SIEMENS_GAMMASONICS7
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS8	ETHERTYPE_SIEMENS_GAMMASONICS8
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS9	ETHERTYPE_SIEMENS_GAMMASONICS9
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS10	ETHERTYPE_SIEMENS_GAMMASONICS10
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS11	ETHERTYPE_SIEMENS_GAMMASONICS11
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS12	ETHERTYPE_SIEMENS_GAMMASONICS12
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS13	ETHERTYPE_SIEMENS_GAMMASONICS13
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS14	ETHERTYPE_SIEMENS_GAMMASONICS14
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS15	ETHERTYPE_SIEMENS_GAMMASONICS15
#define APSR_ETHERTYPE_SIEMENS_GAMMASONICS16	ETHERTYPE_SIEMENS_GAMMASONICS16
#define APSR_ETHERTYPE_DCA_CLUSTER1		ETHERTYPE_DCA_CLUSTER1
#define APSR_ETHERTYPE_DCA_CLUSTER2		ETHERTYPE_DCA_CLUSTER2
#define APSR_ETHERTYPE_DCA_CLUSTER3		ETHERTYPE_DCA_CLUSTER3
#define APSR_ETHERTYPE_DCA_CLUSTER4		ETHERTYPE_DCA_CLUSTER4
#define APSR_ETHERTYPE_BANYAN_SYSTEMS1		ETHERTYPE_BANYAN_SYSTEMS1
#define APSR_ETHERTYPE_BANYAN_SYSTEMS2		ETHERTYPE_BANYAN_SYSTEMS2
#define APSR_ETHERTYPE_PACER_SOFTWARE		ETHERTYPE_PACER_SOFTWARE
#define APSR_ETHERTYPE_APPLITEK			ETHERTYPE_APPLITEK
#define APSR_ETHERTYPE_INTERGRAPH1		ETHERTYPE_INTERGRAPH1
#define APSR_ETHERTYPE_INTERGRAPH2		ETHERTYPE_INTERGRAPH2
#define APSR_ETHERTYPE_INTERGRAPH3		ETHERTYPE_INTERGRAPH3
#define APSR_ETHERTYPE_INTERGRAPH4		ETHERTYPE_INTERGRAPH4
#define APSR_ETHERTYPE_INTERGRAPH5		ETHERTYPE_INTERGRAPH5
#define APSR_ETHERTYPE_HARRIS1			ETHERTYPE_HARRIS1
#define APSR_ETHERTYPE_HARRIS2			ETHERTYPE_HARRIS2
#define APSR_ETHERTYPE_TAYLOR_INSTRUMENT1	ETHERTYPE_TAYLOR_INSTRUMENT1
#define APSR_ETHERTYPE_TAYLOR_INSTRUMENT2	ETHERTYPE_TAYLOR_INSTRUMENT2
#define APSR_ETHERTYPE_TAYLOR_INSTRUMENT3	ETHERTYPE_TAYLOR_INSTRUMENT3
#define APSR_ETHERTYPE_TAYLOR_INSTRUMENT4	ETHERTYPE_TAYLOR_INSTRUMENT4
#define APSR_ETHERTYPE_ROSEMOUNT1		ETHERTYPE_ROSEMOUNT1
#define APSR_ETHERTYPE_ROSEMOUNT2		ETHERTYPE_ROSEMOUNT2
#define APSR_ETHERTYPE_IBM_SNA			ETHERTYPE_IBM_SNA
#define APSR_ETHERTYPE_VARIAN_ASSOCIATES	ETHERTYPE_VARIAN_ASSOCIATES
#define APSR_ETHERTYPE_ALLEN_BRADLEY1		ETHERTYPE_ALLEN_BRADLEY1
#define APSR_ETHERTYPE_ALLEN_BRADLEY2		ETHERTYPE_ALLEN_BRADLEY2
#define APSR_ETHERTYPE_ALLEN_BRADLEY3		ETHERTYPE_ALLEN_BRADLEY3
#define APSR_ETHERTYPE_ALLEN_BRADLEY4		ETHERTYPE_ALLEN_BRADLEY4
#define APSR_ETHERTYPE_ALLEN_BRADLEY5		ETHERTYPE_ALLEN_BRADLEY5
#define APSR_ETHERTYPE_TRFS			ETHERTYPE_TRFS
#define APSR_ETHERTYPE_DATABILITY1		ETHERTYPE_DATABILITY1
#define APSR_ETHERTYPE_DATABILITY2		ETHERTYPE_DATABILITY2
#define APSR_ETHERTYPE_DATABILITY3		ETHERTYPE_DATABILITY3
#define APSR_ETHERTYPE_DATABILITY4		ETHERTYPE_DATABILITY4
#define APSR_ETHERTYPE_DATABILITY5		ETHERTYPE_DATABILITY5
#define APSR_ETHERTYPE_DATABILITY6		ETHERTYPE_DATABILITY6
#define APSR_ETHERTYPE_DATABILITY7		ETHERTYPE_DATABILITY7
#define APSR_ETHERTYPE_DATABILITY8		ETHERTYPE_DATABILITY8
#define APSR_ETHERTYPE_DATABILITY9		ETHERTYPE_DATABILITY9
#define APSR_ETHERTYPE_DATABILITY10		ETHERTYPE_DATABILITY10
#define APSR_ETHERTYPE_DATABILITY11		ETHERTYPE_DATABILITY11
#define APSR_ETHERTYPE_DATABILITY12		ETHERTYPE_DATABILITY12
#define APSR_ETHERTYPE_RETIX			ETHERTYPE_RETIX
#define APSR_ETHERTYPE_AARP			ETHERTYPE_AARP
#define APSR_ETHERTYPE_KINETICS1		ETHERTYPE_KINETICS1
#define APSR_ETHERTYPE_KINETICS2		ETHERTYPE_KINETICS2
#define APSR_ETHERTYPE_APOLLO			ETHERTYPE_APOLLO
#define APSR_ETHERTYPE_WELLFLEET1		ETHERTYPE_WELLFLEET1
#define APSR_ETHERTYPE_WELLFLEET2		ETHERTYPE_WELLFLEET2
#define APSR_ETHERTYPE_WELLFLEET3		ETHERTYPE_WELLFLEET3
#define APSR_ETHERTYPE_WELLFLEET_BOFL		ETHERTYPE_WELLFLEET_BOFL
#define APSR_ETHERTYPE_WELLFLEET5		ETHERTYPE_WELLFLEET5
#define APSR_ETHERTYPE_SYMBOLICS_PRIVATE2	ETHERTYPE_SYMBOLICS_PRIVATE2
#define APSR_ETHERTYPE_SYMBOLICS_PRIVATE3	ETHERTYPE_SYMBOLICS_PRIVATE3
#define APSR_ETHERTYPE_SYMBOLICS_PRIVATE4	ETHERTYPE_SYMBOLICS_PRIVATE4
#define APSR_ETHERTYPE_HAYES			ETHERTYPE_HAYES
#define APSR_ETHERTYPE_VG			ETHERTYPE_VG
#define APSR_ETHERTYPE_BRIDGE1			ETHERTYPE_BRIDGE1
#define APSR_ETHERTYPE_BRIDGE2			ETHERTYPE_BRIDGE2
#define APSR_ETHERTYPE_BRIDGE3			ETHERTYPE_BRIDGE3
#define APSR_ETHERTYPE_BRIDGE4			ETHERTYPE_BRIDGE4
#define APSR_ETHERTYPE_UNDEFINED		ETHERTYPE_UNDEFINED
#define APSR_ETHERTYPE_NOVELL			ETHERTYPE_NOVELL
#define APSR_ETHERTYPE_KTI1			ETHERTYPE_KTI1
#define APSR_ETHERTYPE_KTI2			ETHERTYPE_KTI2
#define APSR_ETHERTYPE_KTI3			ETHERTYPE_KTI3
#define APSR_ETHERTYPE_KTI4			ETHERTYPE_KTI4
#define APSR_ETHERTYPE_KTI5			ETHERTYPE_KTI5
#define APSR_ETHERTYPE_LOGICRAFT		ETHERTYPE_LOGICRAFT
#define APSR_ETHERTYPE_NETWORK_COMPUTING	ETHERTYPE_NETWORK_COMPUTING
#define APSR_ETHERTYPE_ALPHA_MICRO		ETHERTYPE_ALPHA_MICRO
#define APSR_ETHERTYPE_SNMP			ETHERTYPE_SNMP
#define APSR_ETHERTYPE_BIIN1			ETHERTYPE_BIIN1
#define APSR_ETHERTYPE_BIIN2			ETHERTYPE_BIIN2
#define APSR_ETHERTYPE_ELITE_CONCEPT		ETHERTYPE_ELITE_CONCEPT
#define APSR_ETHERTYPE_RATIONAL_CORP		ETHERTYPE_RATIONAL_CORP
#define APSR_ETHERTYPE_QUALCOMM1		ETHERTYPE_QUALCOMM1
#define APSR_ETHERTYPE_QUALCOMM2		ETHERTYPE_QUALCOMM2
#define APSR_ETHERTYPE_COMPUTER_PROTOCOL1	ETHERTYPE_COMPUTER_PROTOCOL1
#define APSR_ETHERTYPE_COMPUTER_PROTOCOL2	ETHERTYPE_COMPUTER_PROTOCOL2
#define APSR_ETHERTYPE_CHARLES_RIVER1		ETHERTYPE_CHARLES_RIVER1
#define APSR_ETHERTYPE_CHARLES_RIVER2		ETHERTYPE_CHARLES_RIVER2
#define APSR_ETHERTYPE_XTP			ETHERTYPE_XTP
#define APSR_ETHERTYPE_SGI_TIME_WARNER		ETHERTYPE_SGI_TIME_WARNER
#define APSR_ETHERTYPE_HIPPI_FP			ETHERTYPE_HIPPI_FP
#define APSR_ETHERTYPE_HIPPI_STP		ETHERTYPE_HIPPI_STP
#define APSR_ETHERTYPE_HIPPI_64001		ETHERTYPE_HIPPI_64001
#define APSR_ETHERTYPE_HIPPI_64002		ETHERTYPE_HIPPI_64002
#define APSR_ETHERTYPE_SILLICON_GRAPHICS1	ETHERTYPE_SILLICON_GRAPHICS1
#define APSR_ETHERTYPE_SILLICON_GRAPHICS2	ETHERTYPE_SILLICON_GRAPHICS2
#define APSR_ETHERTYPE_MOTOROLA3		ETHERTYPE_MOTOROLA3
#define APSR_ETHERTYPE_QUALCOMM3		ETHERTYPE_QUALCOMM3
#define APSR_ETHERTYPE_QUALCOMM4		ETHERTYPE_QUALCOMM4
#define APSR_ETHERTYPE_ARAI			ETHERTYPE_ARAI
#define APSR_ETHERTYPE_RAD1			ETHERTYPE_RAD1
#define APSR_ETHERTYPE_RAD2			ETHERTYPE_RAD2
#define APSR_ETHERTYPE_XYPLEX4			ETHERTYPE_XYPLEX4
#define APSR_ETHERTYPE_XYPLEX5			ETHERTYPE_XYPLEX5
#define APSR_ETHERTYPE_APRICOT1			ETHERTYPE_APRICOT1
#define APSR_ETHERTYPE_APRISOFT2		ETHERTYPE_APRISOFT2
#define APSR_ETHERTYPE_ARTISOFT3		ETHERTYPE_ARTISOFT3
#define APSR_ETHERTYPE_ARTISOFT4		ETHERTYPE_ARTISOFT4
#define APSR_ETHERTYPE_POLYGON1			ETHERTYPE_POLYGON1
#define APSR_ETHERTYPE_POLYGON2			ETHERTYPE_POLYGON2
#define APSR_ETHERTYPE_COMSAT1			ETHERTYPE_COMSAT1
#define APSR_ETHERTYPE_COMSAT2			ETHERTYPE_COMSAT2
#define APSR_ETHERTYPE_SAIC1			ETHERTYPE_SAIC1
#define APSR_ETHERTYPE_SAIC2			ETHERTYPE_SAIC2
#define APSR_ETHERTYPE_VG_ANALYTICAL1		ETHERTYPE_VG_ANALYTICAL1
#define APSR_ETHERTYPE_VG_ANALYTICAL2		ETHERTYPE_VG_ANALYTICAL2
#define APSR_ETHERTYPE_QUANTUM1			ETHERTYPE_QUANTUM1
#define APSR_ETHERTYPE_QUNATUM2			ETHERTYPE_QUNATUM2
#define APSR_ETHERTYPE_ASCOM1			ETHERTYPE_ASCOM1
#define APSR_ETHERTYPE_ASCOM2			ETHERTYPE_ASCOM2
#define APSR_ETHERTYPE_ENCRYPTION1		ETHERTYPE_ENCRYPTION1
#define APSR_ETHERTYPE_ENCRYPTION2		ETHERTYPE_ENCRYPTION2
#define APSR_ETHERTYPE_ATHENA1			ETHERTYPE_ATHENA1
#define APSR_ETHERTYPE_ATHENA2			ETHERTYPE_ATHENA2
#define APSR_ETHERTYPE_CHARLES_RIVER3		ETHERTYPE_CHARLES_RIVER3
#define APSR_ETHERTYPE_CHARLES_RIVER4		ETHERTYPE_CHARLES_RIVER4
#define APSR_ETHERTYPE_INST_IND1		ETHERTYPE_INST_IND1
#define APSR_ETHERTYPE_INST_IND2		ETHERTYPE_INST_IND2
#define APSR_ETHERTYPE_TAURUS1			ETHERTYPE_TAURUS1
#define APSR_ETHERTYPE_TAURUS2			ETHERTYPE_TAURUS2
#define APSR_ETHERTYPE_WALKER1			ETHERTYPE_WALKER1
#define APSR_ETHERTYPE_WALKER2			ETHERTYPE_WALKER2
#define APSR_ETHERTYPE_IDEA1			ETHERTYPE_IDEA1
#define APSR_ETHERTYPE_IDEA2			ETHERTYPE_IDEA2
#define APSR_ETHERTYPE_COMPUTER_NETWORK1	ETHERTYPE_COMPUTER_NETWORK1
#define APSR_ETHERTYPE_COMPUTER_NETWORK2	ETHERTYPE_COMPUTER_NETWORK2
#define APSR_ETHERTYPE_GATEWAY1			ETHERTYPE_GATEWAY1
#define APSR_ETHERTYPE_GATEWAY2			ETHERTYPE_GATEWAY2
#define APSR_ETHERTYPE_SECTRA			ETHERTYPE_SECTRA
#define APSR_ETHERTYPE_DELTA			ETHERTYPE_DELTA
#define APSR_ETHERTYPE_ATOMIC			ETHERTYPE_ATOMIC
#define APSR_ETHERTYPE_LANDIS			ETHERTYPE_LANDIS
#define APSR_ETHERTYPE_LANDIS2			ETHERTYPE_LANDIS2
#define APSR_ETHERTYPE_MOTOROLA1		ETHERTYPE_MOTOROLA1
#define APSR_ETHERTYPE_MOTOROLA2		ETHERTYPE_MOTOROLA2
#define APSR_ETHERTYPE_TCP_IP_COMPRESSION	ETHERTYPE_TCP_IP_COMPRESSION
#define APSR_ETHERTYPE_IP_AUTONOMOUS		ETHERTYPE_IP_AUTONOMOUS
#define APSR_ETHERTYPE_SECURE			ETHERTYPE_SECURE
#define APSR_ETHERTYPE_MPLS_UNI			ETHERTYPE_MPLS_UNI
#define APSR_ETHERTYPE_MPLS_MULTI		ETHERTYPE_MPLS_MULTI
#define APSR_ETHERTYPE_INVISIBLE1		ETHERTYPE_INVISIBLE1
#define APSR_ETHERTYPE_INVISIBLE2		ETHERTYPE_INVISIBLE2
#define APSR_ETHERTYPE_XNS2			ETHERTYPE_XNS2
#define APSR_ETHERTYPE_TCP_IP_SYS		ETHERTYPE_TCP_IP_SYS
#define APSR_ETHERTYPE_LOOP_DETECT		ETHERTYPE_LOOP_DETECT
#define APSR_ETHERTYPE_F000			ETHERTYPE_F000
#define APSR_ETHERTYPE_FFFF			ETHERTYPE_FFFF

