/* Type definitions for ICMPv4 */
#define	APSR_ICMP_ECHO_REPLY		0	/* Echo reply */
#define APSR_ICMP_DEST_UNREA		3	/* Destination unreachable */
#define APSR_ICMP_SOUR_QUENC		4	/* Source quench */
#define APSR_ICMP_REDIRECT		5	/* Redirect */
#define APSR_ICMP_ALTER_HOST		6	/* Alternate Host */
#define APSR_ICMP_ECHO_REQUE		8	/* Echo request */
#define APSR_ICMP_TIME_EXCEE		11	/* Time exceeded */
#define APSR_ICMP_PARA_PROBL		12	/* Parameter problem */
#define APSR_ICMP_TIME_REQUE		13	/* Time request */
#define APSR_ICMP_TIME_REPLY		14	/* Time reply */
#define APSR_ICMP_INFO_REQUE		15	/* Information request */
#define APSR_ICMP_INFO_REPLY		16	/* Information reply */
#define APSR_ICMP_MASK_REQUE		17	/* Mask request */
#define APSR_ICMP_MASK_REPLY		18	/* Maks reply */
#define APSR_ICMP_TRACEROUTE		30	/* Traceroute */
#define APSR_ICMP_DOMAIN_REQ		37	/* Domain name request */
#define APSR_ICMP_DOMAIN_REP		38	/* Domain name reply */
#define APSR_ICMP_SECU_FAILU		40	/* Security Failures(RFC 2521) */

/* Codes for Destination Unreachable */
#define APSR_ICMP_CODE_NTWRK_UNRE	0	/* Network unreachable */
#define APSR_ICMP_CODE_HOST_UNREA	1	/* Host unreachable */
#define APSR_ICMP_CODE_PROTO_UNRE	2	/* Protocol unreachable */
#define APSR_ICMP_CODE_PORT_UNREA	3	/* Port unreachable */
#define APSR_ICMP_CODE_FRAG_NEED	4	/* Fragmentation needed but */
                                        	/* Don't Fragment set */
#define APSR_ICMP_CODE_SOURCE_ROU	5	/* Source Route failed */
#define APSR_ICMP_CODE_DEST_NTWRK	6	/* Destination Network unknown */
#define APSR_ICMP_CODE_DEST_HOST	7	/* Destination Host unknown */
#define APSR_ICMP_CODE_SOURCE_HST	8	/* Source Host isolated */
#define APSR_ICMP_CODE_DEST_N_PRO	9	/* Destination Network administr. proh. */
#define APSR_ICMP_CODE_DEST_H_PRO	10	/* Destination Host administr. prohib. */
#define APSR_ICMP_CODE_NTWRK_UTOS	11	/* Network unreachable for TOS */
#define APSR_ICMP_CODE_HOST_UNTOS	12	/* Host unreachable for TOS */
#define APSR_ICMP_CODE_COM_PROHIB	13	/* Communication administr. proh. filt. */
#define APSR_ICMP_CODE_HOST_PR_VI	14	/* Host Precedence Violation */
#define APSR_ICMP_CODE_PREC_CUTOF	15	/* Precedence Cutoff in effect */

/* Codes for Redirect */
#define APSR_ICMP_CODE_RED_NET	0	/* Redirect datagrams for Network */
#define	APSR_ICMP_CODE_RED_HOS	1	/* Redirect datagrams for Host    */
#define APSR_ICMP_CODE_RED_T_N	2	/* Redirect datagrams for Type of */
                                        /* Service and Network		  */
#define APSR_ICMP_CODE_RED_T_H	3	/* Redirect datagrams for Type of */
                                        /* Service and Host		  */

/* Codes for Security Failures */

#define APSR_ICMP_CODE_BAD_SPI		0	/* Bad SPI		 */
#define APSR_ICMP_CODE_AUTH_FAILED	1	/* Authentication Failed */
#define APSR_ICMP_CODE_DECO_FAILED	2	/* Decompression Failed  */
#define APSR_ICMP_CODE_DECR_FAILED	3	/* Decryption Failed     */
#define APSR_ICMP_CODE_NEED_AUTHENT	4	/* Need Authentication   */
#define APSR_ICMP_CODE_NEED_AUTHORI	5	/* Need Authorization    */

/* Codes for Parameter Problem */
#define APSR_ICMP_CODE_POINT_ERR	0	/* Pointer indicates the error */
#define APSR_ICMP_CODE_MISS_OPTION	1	/* Missing a Required Option */
#define APSR_ICMP_CODE_BAD_LENGTH	2	/* Bad Length		     */

/* Codes for Time Exceeded */
#define APSR_ICMP_CODE_TIME_TRANSIT	0	/* Time to Live exceeded in Transit  */
#define APSR_ICMP_CODE_TIME_FRAG_REA	1	/* Fragment Reassembly Time Exceeded */

/* Code for Alternate Host Address */
#define APSR_ICMP_CODE_ALTER_ADDRESS	0	/* Alternate Address for Host */

