#include "../include/apsrlib-config.h"

/* Create a CDP packet. */
int apsr_cdp (unsigned int version, unsigned int ttl, unsigned short sum,
	      const unsigned char *payload, int payload_size,
	      unsigned char *buf)
{
	static struct cdp_pkt_header cdp_hdr;

	if(!buf) {
	  #ifdef APSRLIB_DEBUG
          ERROR("apsr_cdp: !buf");
	  #endif
	  return(RET_FAILURE);
	}

	cdp_hdr.version 	= version;
	cdp_hdr.ttl		= ttl;
	cdp_hdr.sum		= htons(sum);

	/* Check the payload size and copy it to the buffer. */
	if(payload && payload_size) {
	  memcpy(buf + APSR_CDP, payload, payload_size);
	}

	memcpy((unsigned char *)buf, (unsigned char *)&cdp_hdr,
	       APSR_CDP);

	return(RET_SUCCESS);
}

