#include "../include/apsrlib-config.h"

/* Create a PIM packet. */
int apsr_pim (unsigned int version, unsigned int type, unsigned int reserved,
	      unsigned short sum, const unsigned char *payload,
	      int payload_size, unsigned char *buf)
{
	static struct pim_pkt_header pim_hdr;

	if(!buf) {
	  #ifdef APSRLIB_DEBUG
          ERROR("apsr_pim: !buf");
	  #endif
	  return(RET_FAILURE);
	}

	pim_hdr.ver_type	= ((version << 4) | 0x0f) & ((type) | 0xf0);
	pim_hdr.reserved	= reserved;
	pim_hdr.sum		= apsr_htons(sum);

	/* Check the payload size and copy it to the buffer. */
	if(payload && payload_size) {
	  memcpy(buf + APSR_PIM, payload, payload_size);
	}

	memcpy((unsigned char *)buf, (unsigned char *)&pim_hdr,
	       APSR_PIM);

	return(RET_SUCCESS);
}

