#include "../include/apsrlib-config.h"


/* Create a PPP LCP packet. */
int apsr_ppp_lcp (unsigned char code, unsigned char identifier, 
		  unsigned short length, unsigned char conf_type, 
		  unsigned char conf_length, const unsigned char *payload, 
	          int payload_size, unsigned char *buf)
{
	static struct ppp_lcp_header ppp_lcp_hdr;
	
	if(!buf) {
	  #ifdef APSRLIB_DEBUG
	  ERROR("apsr_ppp_lcp: !buf");
	  #endif
	  return(RET_FAILURE);
	}

	ppp_lcp_hdr.code	= code;
	ppp_lcp_hdr.identifier	= identifier;
	ppp_lcp_hdr.length	= apsr_htons(length);

	if(conf_type || conf_length) {
		ppp_lcp_hdr.ext.conf.type   = conf_type;
		ppp_lcp_hdr.ext.conf.length = conf_length;
	}

	/* Check the payload size and copy it to the buffer. */
	if(payload && payload_size) {
	  if(conf_type || conf_length) 
		  memcpy(buf + sizeof(struct ppp_lcp_header *)+2, payload, payload_size);
          else  
                  memcpy(buf + sizeof(struct ppp_lcp_header *), payload, payload_size);
	}

	if (conf_type || conf_length)
		memcpy((unsigned char *)buf, (unsigned char *)&ppp_lcp_hdr, sizeof(struct ppp_lcp_header *)+2);

	return(RET_SUCCESS);
}
