#include "../include/apsrlib-config.h"


/* Create a PPPoE packet. */
int apsr_pppoe (unsigned char version, unsigned char type,
	       unsigned char code, unsigned short session_id, 
	       unsigned short len, const unsigned char *payload, 
	       int payload_size, unsigned char *buf)
{
	static struct pppoe_pkt_header pppoe_hdr;
	
	if(!buf) {
	  #ifdef APSRLIB_DEBUG
	  ERROR("apsr_pppoe: !buf");
	  #endif
	  return(RET_FAILURE);
	}

	/* PPPoE version + type */
	pppoe_hdr.pppoe_vhl     = ((version << 4) | 0x0f) & (type | 0xf0);
	pppoe_hdr.pppoe_code    = code;			/* Code */
	pppoe_hdr.pppoe_session = apsr_htons(session_id);	/* Session ID */
	pppoe_hdr.pppoe_length	= apsr_htons(len);		/* Length */
	
	/* Check the payload size and copy it to the buffer. */
	if(payload && payload_size) {
	  memcpy(buf + APSR_PPPoE, payload, payload_size);
	}

	memcpy((unsigned char *)buf, (unsigned char *)&pppoe_hdr,
	       APSR_PPPoE);

	return(RET_SUCCESS);
}
