#include <stdio.h>
#include <string.h>
#include <netdb.h>
#include <apsrlib/apsrlib.h>

int main (void) {
	#if !defined(__OSTYPE_QNX) && !defined(__OSTYPE_AIX) && !defined(__OSTYPE_FREEBSD) && !defined(__OSTYPE_NETBSD) && !defined(__OSTYPE_OPENBSD)
	int p[6], i;
	struct ether_addr *macaddr;
	#endif

	int  endianess, fd, sock_fd;
	char *host;
	char *ip="127.0.0.1";
	char *device="eth0", *macvendor;
	unsigned char *packet;
	unsigned short port;
	unsigned long resolved_ip;
	struct servent *serv;
	unsigned char *mac_input="ff:ff:ff:ff:ff:fa";
	unsigned char mac_input2[3];

	mac_input2[0] = '\x00';
	mac_input2[1] = '\x00';
	mac_input2[2] = '\x50';

	/* Time */
//	#ifdef HAVE_APSR_GET_TIME_FORMATTED
	apsr_output("Time: %s\n", apsr_get_time_formatted());
//	#endif

	/* Print endianess */
	endianess = apsr_endian_test();
	apsr_output("Byte order (endian_test): ");

	if(endianess == 0) {
	  apsr_output("big endian.\n");
	}
	else if(endianess == 1) {
	  apsr_output("little endian.\n");
	}
	else if(endianess == 2) {
	  apsr_output("pdp endian.\n");
	} else {
	  apsr_output("unknown.\n");
	}

 	/* Open socket */
	fd=apsr_open_io_socket();

	#if !defined(__OSTYPE_QNX) && !defined(__OSTYPE_AIX) && !defined(__OSTYPE_FREEBSD) && !defined(__OSTYPE_NETBSD) && !defined(__OSTYPE_OPENBSD)
	/* Print the MAC address of a given device. */
	macaddr=apsr_get_hwinfo(device, fd);
	apsr_output("MAC addr of %s is: ", device);
	for(i=0;i<6;i++) {
	  (int) p[i] = (int) i[macaddr->ether_addr_octet];
	}
	
	apsr_output("%2.2x:%2.2x:%2.2x:%2.2x:%2.2x:%2.2x\n", p[0],p[1],p[2],
							     p[3],p[4],p[5]);
	#endif

        /* Set promisc mode */
	apsr_output("Set interface(%s) in promisc mode.\n", device);
	apsr_toggle_promisc(device, fd);
	
        /* Close socket */
	apsr_close_io_socket(fd);
         	
	/* Get the MAC vendor. */
	macvendor=apsr_resolve_mac(mac_input2);
        apsr_output("MAC vendor test(%02x:%02x:%02x...): %s\n", mac_input2[0], mac_input2[1], mac_input2[2], macvendor);
		
	/* Print the resolved IP adr. */
	ip="127.0.0.1";
        memcpy(&host, &ip, sizeof(ip));
	resolved_ip=apsr_resolve(host);
	apsr_output("Resolve (%s): %lu\n", host, resolved_ip);


	/* Initialize and free some packet memory. */
	apsr_init_psize(APSR_MAX_PACKET_SIZE, &packet);
	apsr_free_psize(&packet);

	/* Open a raw socket. */
	sock_fd=apsr_open_raw_socket(APSR_PROTO_TCP, AF_INET);


	/* Print converted mac address. */
	apsr_output("Mac: %i\n", apsr_conv_mac(mac_input));
	

	/* Get service name of ports. */
	port = 23;
	if((serv=getservbyport(htons(port), "tcp"))) {
		apsr_output("Port: %s\n", serv->s_name);
 	}
	else {
		apsr_output("Port: unknown");
 	}

	/* Get bandwith. */
	apsr_get_link_bandwidth ("ippp0", sock_fd);

	return(RET_SUCCESS);
}

