#include <apsrlib/apsrlib.h>

#define MODULE_VERSION		"0.01"
#define MODULE_NAME		"acap"
#define MODULE_DESCRIPTION	"Example Application Configuration Access Protocol sniffer."
#define MODULE_IDENT_FAMILY	AF_INET
#define MODULE_IDENT_PN1	APSR_PROTO_TCP
#define MODULE_IDENT_ID1	674	
#define MODULE_IDENT_ID2	674

#define MODULE_FILTER		"tcp and port 674"

struct apsr_aprecv_module_info module_info (void) {
	struct apsr_aprecv_module_info module_info;

	module_info.version	= MODULE_VERSION;
	module_info.name	= MODULE_NAME;
	module_info.desc	= MODULE_DESCRIPTION;
	module_info.bpf_filter	= MODULE_FILTER; 
        module_info.family      = MODULE_IDENT_FAMILY;
        module_info.proto1      = MODULE_IDENT_PN1;
        module_info.proto2      = 0;
        module_info.id1         = MODULE_IDENT_ID1;
        module_info.id2         = MODULE_IDENT_ID2;
        module_info.id3         = 0;
        module_info.id4         = 0;
							
	return(module_info);
}

int module_init (unsigned char *buf, int family, unsigned short protocol_number,
                 unsigned short id1, unsigned short id2)
{
  if(MODULE_IDENT_FAMILY == family && (MODULE_IDENT_ID1 == id1 || MODULE_IDENT_ID2 == id2)) {
	    apsr_output("- ACAP -\n");
	    if(strncmp((char *)buf, "AUTHENTICATE", 12) == 0) 
		    apsr_output("  Command: AUTHENTICATE\n");
	    else if(strncmp((char *)buf, "DELETEACL", 9) == 0)
		    apsr_output("  Command: DELETEACL\n");
            else if(strncmp((char *)buf, "DELETEDSINCE", 12) == 0)
                    apsr_output("  Command: DELETEDSINCE\n");
            else if(strncmp((char *)buf, "FREECONTEXT", 11) == 0)
                    apsr_output("  Command: FREECONTEXT\n");
            else if(strncmp((char *)buf, "GETQUOTA", 8) == 0)
                    apsr_output("  Command: GETQUOTA\n");
            else if(strncmp((char *)buf, "LANG", 4) == 0)
                    apsr_output("  Command: LANG\n");
            else if(strncmp((char *)buf, "LISTRIGHTS", 10) == 0)
                    apsr_output("  Command: LISTRIGHTS\n");
            else if(strncmp((char *)buf, "LOGOUT", 6) == 0)
                    apsr_output("  Command: LOGOUT\n");
            else if(strncmp((char *)buf, "MYRIGHTS", 8) == 0)
                    apsr_output("  Command: MYRIGHTS\n");
            else if(strncmp((char *)buf, "NOOP", 4) == 0) 
                    apsr_output("  Command: NOOP\n");
            else if(strncmp((char *)buf, "SEARCH", 6) == 0)
                    apsr_output("  Command: SEARCH\n");
            else if(strncmp((char *)buf, "SETACL", 6) == 0)
                    apsr_output("  Command: SETACL\n");
            else if(strncmp((char *)buf, "STORE", 5) == 0)
                    apsr_output("  Command: STORE\n");
            else if(strncmp((char *)buf, "UPDATECONTEXT", 13) == 0)
                    apsr_output("  Command: UPDATECONTEXT\n");
  }

  #ifdef MODULE_DEBUG
  apsr_output("Family: %i\nPN: %i\n1: %i\n2: %i\n",
     family, protocol_number, id1, id2);
  #endif
  
  return(RET_SUCCESS);
}
