#include <apsrlib/apsrlib.h>

/* TODO: PDU type's in verbose mode */
/* TODO: Flags */

#define MODULE_VERSION		"0.01"
#define MODULE_NAME		"agentx"
#define MODULE_DESCRIPTION	"Example AgentX protocol sniffer."
#define MODULE_IDENT_FAMILY	AF_INET
#define MODULE_IDENT_PN1	APSR_PROTO_TCP
#define MODULE_IDENT_ID1	705	
#define MODULE_IDENT_ID2	705

#define MODULE_FILTER		"tcp and port 705"

struct mod_agentx_header {
	unsigned char version;
	unsigned char type;
	unsigned char flags;
	unsigned char reserved;
	unsigned int session_id;
	unsigned int transaction_id;
	unsigned int packet_id;
	unsigned int payload_length;
};

struct apsr_aprecv_module_info module_info (void) {
	struct apsr_aprecv_module_info module_info;

	module_info.version	= MODULE_VERSION;
	module_info.name	= MODULE_NAME;
	module_info.desc	= MODULE_DESCRIPTION;
	module_info.bpf_filter	= MODULE_FILTER; 
        module_info.family      = MODULE_IDENT_FAMILY;
        module_info.proto1      = MODULE_IDENT_PN1;
        module_info.proto2      = 0;
        module_info.id1         = MODULE_IDENT_ID1;
        module_info.id2         = MODULE_IDENT_ID2;
        module_info.id3         = 0;
        module_info.id4         = 0;
							
	return(module_info);
}

int module_init (unsigned char *buf, int family, unsigned short protocol_number,
                 unsigned short id1, unsigned short id2)
{
  struct mod_agentx_header *agentx_header;
	
  if(MODULE_IDENT_FAMILY == family && (MODULE_IDENT_ID1 == id1 || MODULE_IDENT_ID2 == id2)) {
	    agentx_header = (struct mod_agentx_header *)buf;
	    apsr_output("- AgentX Header -\n");
	    apsr_output("  Version: %u, Type: %u, Flags: 0x%02x\n", 
			    agentx_header->version,
			    agentx_header->type,
			    agentx_header->flags);
	    apsr_output("  Reserved: %u, Session ID: %u\n",
			    agentx_header->reserved,
			    apsr_ntohl(agentx_header->session_id));
	    apsr_output("  Transaction ID: %u, Packet ID: %u, Payload Length: %u\n",
			    apsr_ntohl(agentx_header->transaction_id),
			    apsr_ntohl(agentx_header->packet_id),
			    apsr_ntohl(agentx_header->payload_length));
  }

  #ifdef MODULE_DEBUG
  apsr_output("Family: %i\nPN: %i\n1: %i\n2: %i\n",
     family, protocol_number, id1, id2);
  #endif
  
  return(RET_SUCCESS);
}
