#include <apsrlib/apsrlib.h>

/* TODO: CSRC printing					*/
/* TODO: Payload type printing in verbose mode		*/

#define MODULE_VERSION		"0.01"
#define MODULE_NAME		"rtp"
#define MODULE_DESCRIPTION	"Example Real-Time protocol sniffer."
#define MODULE_IDENT_FAMILY	AF_INET
#define MODULE_IDENT_PN1	APSR_PROTO_UDP
#define MODULE_IDENT_ID1	5004	
#define MODULE_IDENT_ID2	5004

#define MODULE_FILTER		"udp and port 5004"

struct mod_rtp_header {
	unsigned int version:2,
		     padding:1,
		     extension:1,
		     csrc_count:4,
		     marker:1,
		     payload_type:7,
		     seq_num:16;
	unsigned int timestamp;
	unsigned int ssrc;
};

struct apsr_aprecv_module_info module_info (void) {
	struct apsr_aprecv_module_info module_info;

	module_info.version	= MODULE_VERSION;
	module_info.name	= MODULE_NAME;
	module_info.desc	= MODULE_DESCRIPTION;
	module_info.bpf_filter	= MODULE_FILTER; 
        module_info.family      = MODULE_IDENT_FAMILY;
        module_info.proto1      = MODULE_IDENT_PN1;
        module_info.proto2      = 0;
        module_info.id1         = MODULE_IDENT_ID1;
        module_info.id2         = MODULE_IDENT_ID2;
        module_info.id3         = 0;
        module_info.id4         = 0;
							
	return(module_info);
}

int module_init (unsigned char *buf, int family, unsigned short protocol_number,
                 unsigned short id1, unsigned short id2)
{
  struct mod_rtp_header *rtp_header;
	
  if(MODULE_IDENT_FAMILY == family && (MODULE_IDENT_ID1 == id1 || MODULE_IDENT_ID2 == id2)) {
	    rtp_header = (struct mod_rtp_header *)buf;
	    apsr_output("- RTP Header -\n");
	    apsr_output("  Version: %u, Padding: %u, Extension: %u\n",
			    rtp_header->version, rtp_header->padding,
			    rtp_header->extension);
	    apsr_output("  CSRC Count: %u, Marker, Payload Type: %u\n",
			    rtp_header->csrc_count, rtp_header->marker,
			    rtp_header->payload_type);
	    apsr_output("  Sequence Number: %u, Timestamp: %u\n", 
			    apsr_ntohs(rtp_header->seq_num), 
			    apsr_ntohl(rtp_header->timestamp));
	    apsr_output("  Synchronization source: %u\n",
			    apsr_ntohl(rtp_header->ssrc));
  }

  #ifdef MODULE_DEBUG
  apsr_output("Family: %i\nPN: %i\n1: %i\n2: %i\n",
     family, protocol_number, id1, id2);
  #endif
  
  return(RET_SUCCESS);
}

