#include <apsrlib/apsrlib.h>

#define MODULE_VERSION		"0.01"
#define MODULE_NAME		"smtp"
#define MODULE_DESCRIPTION	"Example Simple Mail Transfer Protocol sniffer."
#define MODULE_IDENT_FAMILY	AF_INET
#define MODULE_IDENT_PN1	APSR_PROTO_TCP
#define MODULE_IDENT_ID1	25	
#define MODULE_IDENT_ID2	25

#define MODULE_FILTER		"tcp and port 25"

struct apsr_aprecv_module_info module_info (void) {
	struct apsr_aprecv_module_info module_info;

	module_info.version	= MODULE_VERSION;
	module_info.name	= MODULE_NAME;
	module_info.desc	= MODULE_DESCRIPTION;
	module_info.bpf_filter	= MODULE_FILTER; 
        module_info.family      = MODULE_IDENT_FAMILY;
        module_info.proto1      = MODULE_IDENT_PN1;
        module_info.proto2      = 0;
        module_info.id1         = MODULE_IDENT_ID1;
        module_info.id2         = MODULE_IDENT_ID2;
        module_info.id3         = 0;
        module_info.id4         = 0;
							
	return(module_info);
}

extern unsigned short module_length;

int module_init (unsigned char *buf, int family, unsigned short protocol_number,
                 unsigned short id1, unsigned short id2)
{
  unsigned short i=0;
	
  if(MODULE_IDENT_FAMILY == family && (MODULE_IDENT_ID1 == id1 || MODULE_IDENT_ID2 == id2)) {
	    apsr_output("- SMTP -\n");
	    if(strncmp((char *)buf, "HELO", 4) == 0) 
		    apsr_output("  Command: HELO\n");
	    else if(strncmp((char *)buf, "EHLO", 4) == 0) {
		    apsr_output("  Command: EHLO, Arguments: \"");
                    for(i = 0; i <= module_length-4; i++) {
			    if(isprint(buf[i+4]))
				    apsr_output("%c", buf[i+4]);
                            else if(buf[i+4] == '\n' || buf[i+4] == '\r')
                                    i = module_length-4;
                            else
                                    apsr_output(".");
                    }
                    apsr_output("\"\n");
            }
            else if(strncmp((char *)buf, "ATRN", 4) == 0)
                    apsr_output("  Command: ATRN\n");
            else if(strncmp((char *)buf, "AUTH", 4) == 0)
                    apsr_output("  Command: AUTH\n");
            else if(strncmp((char *)buf, "BDAT", 4) == 0)
                    apsr_output("  Command: BDAT\n");
            else if(strncmp((char *)buf, "DATA", 4) == 0)
                    apsr_output("  Command: DATA\n");
            else if(strncmp((char *)buf, "ETRN", 4) == 0)
                    apsr_output("  Command: ETRN\n");
            else if(strncmp((char *)buf, "EXPN", 4) == 0)
                    apsr_output("  Command: EXPN\n");
            else if(strncmp((char *)buf, "HELP", 4) == 0)
                    apsr_output("  Command: HELP\n");
            else if(strncmp((char *)buf, "MAIL", 4) == 0) {
                    apsr_output("  Command: MAIL, Arguments: \"");
                    for(i = 0; i <= module_length-4; i++) {
			    if(isprint(buf[i+4]))
				    apsr_output("%c", buf[i+4]);
			    else if(buf[i+4] == '\n' || buf[i+4] == '\r')
			            i = module_length-4;
			    else
			            apsr_output(".");
		    }
	            apsr_output("\"\n");
            }
            else if(strncmp((char *)buf, "NOOP", 4) == 0)
                    apsr_output("  Command: NOOP\n");
            else if(strncmp((char *)buf, "QUIT", 4) == 0)
                    apsr_output("  Command: QUIT\n");
            else if(strncmp((char *)buf, "RCPT", 4) == 0) {
                    apsr_output("  Command: RCPT, Arguments: \"");
		    for(i = 0; i <= module_length-4; i++) {
			    if(isprint(buf[i+4])) 
				    apsr_output("%c", buf[i+4]);
			    else if(buf[i+4] == '\n' || buf[i+4] == '\r')
				    i = module_length-4;
			    else 
				    apsr_output(".");
		    }		 
		    apsr_output("\"\n");			    	    
	    }
            else if(strncmp((char *)buf, "RSET", 4) == 0)
                    apsr_output("  Command: RSET\n");
            else if(strncmp((char *)buf, "SAML", 4) == 0)
                    apsr_output("  Command: SAML\n");
            else if(strncmp((char *)buf, "SEND", 4) == 0)
                    apsr_output("  Command: SEND\n");
            else if(strncmp((char *)buf, "SOML", 4) == 0)
                    apsr_output("  Command: SOML\n");
            else if(strncmp((char *)buf, "STARTTLS", 4) == 0)
                    apsr_output("  Command: STARTTLS\n");
            else if(strncmp((char *)buf, "TURN", 4) == 0)
                    apsr_output("  Command: TURN\n");
            else if(strncmp((char *)buf, "VRFY", 4) == 0)
                    apsr_output("  Command: VRFY\n");
  }

  #ifdef MODULE_DEBUG
  apsr_output("Family: %i\nPN: %i\n1: %i\n2: %i\n",
     family, protocol_number, id1, id2);
  #endif
  
  return(RET_SUCCESS);
}
